Subject: Re: [PATCH RESEND] igb: Reset TXPBSIZE to default value

From: "Vick, Matthew" <[email-masked]>
Date: Fri, 16 Jan 2015 19:41:59 +0000

On 1/16/15, 10:59 AM, "Xander Huff" <[email-masked]> wrote:

>From: Jeff Westfahl <[email-masked]>
>
>The TXPBSIZE register of the i210 resets to its default value only
>at power-on. It doesn't reset if you reboot the system, only if you
>pull power. If something (another driver, another OS, etc.) modifies
>this register from its default value, the igb driver doesn't function
>correctly. It detects a hang of the transmitter and continuously resets
>the adapter. Here we set this value to its default when resetting the
>i210 to resolve this issue.

This should have already been resolved last May in commit
27dff8b2f680ce966b5d959be9d69dd0edd92e3b ("igb: add defaults for i210
TX/RX PBSIZE"). Are you running the latest upstream kernel?

Cheers,
Matthew